Post by ts2323 » Mon Oct 08, 2018 11:15 pm

Hi,

just made a fresh install of 3.0.2.0. After the install process completes successfully I get this at the admin login screen:

Warning: mysqli::mysqli(): Headers and client library minor version mismatch. Headers:50556 Library:100128 in *sanitized*/main/system/library/db/mysqli.php on line 7

(I removed the real host name in the *sanitized* part)

I use a remote MySQL db: mysql Ver 14.14 Distrib 5.1.71, for redhat-linux-gnu (x86_64) using readline 5.1

I tried updating my php to the latest in the distribution (5.4.16-45 on CentOS-7) but it didn't help:

PHP 5.4.16 (cli) (built: Apr 12 2018 19:02:01)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies

OS is: CentOS Linux release 7.4.1708 (Core)

Newbie

Posts

Joined
Sun Oct 07, 2018 6:20 pm

Post by ts2323 » Mon Oct 08, 2018 11:18 pm

Also after logging in I get a Syntax Error:

SyntaxError: JSON.parse: unexpected character at line 1 column 1 of the JSON data

OK

<b>Warning</b>: mysqli::mysqli(): Headers and client library minor version mismatch. Headers:50556 Library:100128 in <b>*sanitized*/main/system/library/db/mysqli.php</b> on line <b>7</b>{"order":{"label":"Orders","data":[[1,0],[2,0],[3,0],[4,0],[5,0],[6,0],[7,0],[8,0],[9,0],[10,0],[11,0],[12,0],[13,0],[14,0],[15,0],[16,0],[17,0],[18,0],[19,0],[20,0],[21,0],[22,0],[23,0],[24,0],[25,0],[26,0],[27,0],[28,0],[29,0],[30,0],[31,0]]},"customer":{"label":"Customers","data":[[1,0],[2,0],[3,0],[4,0],[5,0],[6,0],[7,0],[8,0],[9,0],[10,0],[11,0],[12,0],[13,0],[14,0],[15,0],[16,0],[17,0],[18,0],[19,0],[20,0],[21,0],[22,0],[23,0],[24,0],[25,0],[26,0],[27,0],[28,0],[29,0],[30,0],[31,0]]},"xaxis":[["1","01"],["2","02"],["3","03"],["4","04"],["5","05"],["6","06"],["7","07"],["8","08"],["9","09"],["10","10"],["11","11"],["12","12"],["13","13"],["14","14"],["15","15"],["16","16"],["17","17"],["18","18"],["19","19"],["20","20"],["21","21"],["22","22"],["23","23"],["24","24"],["25","25"],["26","26"],["27","27"],["28","28"],["29","29"],["30","30"],["31","31"]]}

(again removed the first part of the path in the *sanitized* because it reveals the hostname)

So it's basically un-usable.. ::)

Newbie

Posts

Joined
Sun Oct 07, 2018 6:20 pm

Post by ts2323 » Fri Oct 12, 2018 2:26 pm

Nobody?

Anyway I upgraded it to 5.6 which solves it.
But you need to change the system requirements to 5.6. currently you state 5.4 in one place and 5.3 in another.

Also this means latest OpenCart is not compatible with stock latest CentOS 7. :-\

Newbie

Posts

Joined
Sun Oct 07, 2018 6:20 pm
Who is online

Users browsing this forum: No registered users and 6 guests